<h2>Ejercicio 2</h2>
<mat-tab-group mat-align-tabs="start">
  <!-- FORM1 -->
  <mat-tab label="FORMULARIO 1" >

     <form [formGroup]="form"  >
          <div class="container" formArrayName="listatexto">
               <div class="box"  *ngFor="let t of getListaform1.controls; let i = index " [formGroupName]="i">
                  <mat-form-field appearance="fill">
                      <input matInput placeholder="" (keyup)="ponerValor($event,i)" formControlName="texto">
                  </mat-form-field>
                  <br>
                  <input class="btn" type="button" formControlName="ValordelBoton">
              </div> 
          </div>  
         <div class="containerBut">
          <button class="botonG" mat-button (click)="guardarAForm2()">GUARDAR</button>
         </div>
     </form>      

  </mat-tab>
  <!-- FORM2 -->
  <mat-tab label="FORMULARIO 2" >
      <mat-selection-list #shoes [multiple]="false">
          <mat-list-option *ngFor="let texto of lista;let i =index" [value]="texto" (click)="eliminar(i)">
              {{texto}}
          </mat-list-option>
        </mat-selection-list>
        <div class="botones">
          <button mat-raised-button color="primary" (click)="Limpiar()">LIMPIAR</button>
          <button mat-raised-button color="accent" (click)="Adicionar()">ADICIONAR</button>
      
        </div>
  </mat-tab>

  <!-- FORM3 -->
  <mat-tab label="FORMULARIO 3" >

      <h2>Se tiene los siguientes elementos :</h2>
      <mat-list role="list">
      <mat-list-item role="listitem" *ngFor="let texto of listaOficial; let i = index">{{i+1}}.- {{texto}} </mat-list-item>
      </mat-list>

  </mat-tab>
  
</mat-tab-group>